GraphicsEnvironment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class GraphicsEnvironment

    java.lang.Object
      java.awt.GraphicsEnvironment

    public abstract class GraphicsEnvironment

extends Object

The `GraphicsEnvironment` class describes the collection of `GraphicsDevice` objects and `Font` objects available to a Java(tm) application on a particular platform. The resources in this `GraphicsEnvironment` might be local or on a remote machine. `GraphicsDevice` objects can be screens, printers or image buffers and are the destination of `Graphics2D` drawing methods. Each `GraphicsDevice` has a number of `GraphicsConfiguration` objects associated with it. These objects specify the different configurations in which the `GraphicsDevice` can be used.

Version:
  1.55, 01/23/03
See Also:
  `GraphicsDevice`, `GraphicsConfiguration`

Method Summary
`abstract Graphics2D` | `createGraphics(BufferedImage img)` Returns a `Graphics2D` object for rendering into the specified `BufferedImage`.
`abstract String[]` | `getAvailableFontFamilyNames()` Returns an array containing the names of all font families available in this `GraphicsEnvironment`.
`abstract String[]` | `getAvailableFontFamilyNames(Locale l)` Returns an array containing the localized names of all font families available in this `GraphicsEnvironment`.
`abstract GraphicsDevice` | `getDefaultScreenDevice()` Returns the default screen `GraphicsDevice`.
`static GraphicsEnvironment` | `getLocalGraphicsEnvironment()` Returns the local `GraphicsEnvironment`.
`abstract GraphicsDevice[]` | `getScreenDevices()` Returns an array of all of the screen `GraphicsDevice` objects.
`static boolean` | `isHeadless()` Tests whether or not a display and some form of input device can be supported in this environment.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLocalGraphicsEnvironment

    public static GraphicsEnvironment getLocalGraphicsEnvironment()

  Returns the local `GraphicsEnvironment`.

  Returns:
    the local `GraphicsEnvironment`

### isHeadless

    public static boolean isHeadless()

  Tests whether or not a display and some form of input device can be supported in this environment. If this method returns true, a HeadlessException is thrown from areas of the Toolkit and GraphicsEnvironment that are dependent on a display or input device.

  Returns:
    `true` if this environment cannot support a display and input device; `false` otherwise
  Since:
    1.4
  See Also:
    `HeadlessException`

### getScreenDevices

    public abstract GraphicsDevice[] getScreenDevices()
                                               throws HeadlessException

  Returns an array of all of the screen `GraphicsDevice` objects.

  Returns:
    an array containing all the `GraphicsDevice` objects that represent screen devices
  Throws:
    `HeadlessException` - if isHeadless() returns true
  See Also:
    `isHeadless()`

### getDefaultScreenDevice

    public abstract GraphicsDevice getDefaultScreenDevice()
                                                   throws HeadlessException

  Returns the default screen `GraphicsDevice`.

  Returns:
    the `GraphicsDevice` that represents the default screen device
  Throws:
    `HeadlessException` - if isHeadless() returns true
  See Also:
    `isHeadless()`

### createGraphics

    public abstract Graphics2D createGraphics(BufferedImage img)

  Returns a `Graphics2D` object for rendering into the specified `BufferedImage`.

  Parameters:
    `img` - the specified `BufferedImage`
  Returns:
    a `Graphics2D` to be used for rendering into the specified `BufferedImage`

### getAvailableFontFamilyNames

    public abstract String[] getAvailableFontFamilyNames()

  Returns an array containing the names of all font families available in this `GraphicsEnvironment`. Typical usage would be to allow a user to select a particular family name and allow the application to choose related variants of the same family when the user specifies style attributes such as Bold or Italic.

  This method provides for the application some control over which `Font` instance is used to render text, but allows the `Font` object more flexibility in choosing its own best match among multiple fonts in the same font family.

  Returns:
    an array of `String` containing names of font families
  Since:
    1.2
  See Also:
    `Font`, `Font.getFamily()`

### getAvailableFontFamilyNames

    public abstract String[] getAvailableFontFamilyNames(Locale l)

  Returns an array containing the localized names of all font families available in this `GraphicsEnvironment`. Typical usage would be to allow a user to select a particular family name and allow the application to choose related variants of the same family when the user specifies style attributes such as Bold or Italic.

  This method provides for the application some control over which `Font` instance used to render text, but allows the `Font` object more flexibility in choosing its own best match among multiple fonts in the same font family. If `l` is `null`, this method returns an array containing all font family names available in this `GraphicsEnvironment`.

  Parameters:
    `l` - a `Locale` object that represents a particular geographical, political, or cultural region
  Returns:
    an array of `String` objects containing names of font families specific to the specified `Locale`
  Since:
    1.2
  See Also:
    `Font`, `Font.getFamily()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD